Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4479 - File lastlog becomes huge when using large uid's
Summary: File lastlog becomes huge when using large uid's
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-11 18:00 UTC by Jos Vos
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-05-23 08:19:35 UTC


Attachments (Terms of Use)

Description Jos Vos 1999-08-11 18:00:27 UTC
When using some high uid numbers (we use 50000 and up for
some special situations), the /var/log/lastlog file becomes
huge, 15+ MB in our case.  Is this according to specs?

On an old RHL 3.0.3 system, the file is only 100 KB, using
the same set of uid's.

Comment 1 Cristian Gafton 1999-09-23 03:17:59 UTC
The bug is in useradd from the shadow-utils.
Fixed in the internal devel tree

Comment 2 Cristian Gafton 1999-09-23 03:30:59 UTC
More information - the size of the struct lastlog is increased under
glibc to ~ 300 bytes. That means that fo 50k uids one would need
15000k space for the lastlog, so the result is expected.


------- Additional Comments From   09/23/99 04:08 -------
I didn't test this with 50k uids, only with about 1500 uids in total,
but some uid numbers were above 50000.  So the question is whether
unused uids also occupy a struct (which would be very bad behaviour,
IMHO).

Comment 3 Cristian Gafton 2000-05-22 15:52:59 UTC
assign to laroche

Comment 4 Bernhard Rosenkraenzer 2000-08-08 15:21:39 UTC
Can't be fixed without changing the internal format of /var/log/lastlog, which
we shouldn't do for interoperability reasons.


Note You need to log in before you can comment on or make changes to this bug.